package com.ekexiu.project.storage.diacrisis;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.storage.base.po.CreateTimeSupported;

@PrimaryKey("id")
@Table
public class AiTask implements CreateTimeSupported {
	private String id;
	private String dataNum;
	private String createTime;
	private int  taskType;
	private int  state;
	private String stateCode;
	private String uid;
	private String modifyTime;
	
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(value=DE.text_de,renewable=false)
	public String getDataNum() {
		return dataNum;
	}
	public void setDataNum(String dataNum) {
		this.dataNum = dataNum;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	@Column(value=DE.int_de,renewable=false)
	public int getTaskType() {
		return taskType;
	}
	public void setTaskType(int taskType) {
		this.taskType = taskType;
	}
	/**
	 *  100 submit  wait transfer queue
	 *  
	 *  200 transfering     
	 *  250 transfer error
	 *  299  transfer ok  wait 脱敏 queue
	 *  
	 *   300 脱敏ing
	 *   350  脱敏  error
	 *   399 脱敏ed    wait 增强 queue
	 *   
	 *   400 增强ing
	 *   450 增强 error
	 *   499 增强ed  wait 格式转换 queue
	 *   
	 *   500 格式转换ing
	 *   551 格式转换 error  with  invalid format
	 *   552 格式转换 error  with  IO
	 *   599 格式转换ed  wait 智能诊断  queue
	 *   
	 *   600  智能诊断ing
	 *   650   智能诊断 error
	 *   699   智能诊断ed
	 *  
	 *  
	 *  
	 *  
	 * @return
	 */
	@Column(value=DE.int_de)
	public int getState() {
		return state;
	}
	public void setState(int state) {
		this.state = state;
	}
	public String getStateCode() {
		return stateCode;
	}
	@Column(DE.Text_de)
	public void setStateCode(String stateCode) {
		this.stateCode = stateCode;
	}
	@Column(DE.refid_32)
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	@Column(handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)",fixSqlValueWithUpdate = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = true)
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	
	
	
}
